package com.ruoyi.cstkb.service.impl;

import com.ruoyi.cstkb.domain.CstMethodInfo;
import com.ruoyi.cstkb.mapper.CstMethodInfoMapper;
import com.ruoyi.cstkb.service.ICstMethodInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * 汽车安全测试方法信息Service业务层处理
 *
 * @author ruoyi
 * @date 2024-10-12
 */
@Service
public class CstMethodInfoServiceImpl implements ICstMethodInfoService {
    @Autowired
    private CstMethodInfoMapper cstMethodInfoMapper;

    /**
     * 查询汽车安全测试方法信息
     *
     * @param id 汽车安全测试方法信息主键
     * @return 汽车安全测试方法信息
     */
    @Override
    public CstMethodInfo selectCstMethodInfoById(Long id) {
        return cstMethodInfoMapper.selectCstMethodInfoById(id);
    }

    /**
     * 查询汽车安全测试方法信息列表
     *
     * @param cstMethodInfo 汽车安全测试方法信息
     * @return 汽车安全测试方法信息
     */
    @Override
    public List<CstMethodInfo> selectCstMethodInfoList(CstMethodInfo cstMethodInfo) {
        return cstMethodInfoMapper.selectCstMethodInfoList(cstMethodInfo);
    }

    /**
     * 新增汽车安全测试方法信息
     *
     * @param cstMethodInfo 汽车安全测试方法信息
     * @return 结果
     */
    @Override
    public int insertCstMethodInfo(CstMethodInfo cstMethodInfo) {
        return cstMethodInfoMapper.insertCstMethodInfo(cstMethodInfo);
    }

    /**
     * 修改汽车安全测试方法信息
     *
     * @param cstMethodInfo 汽车安全测试方法信息
     * @return 结果
     */
    @Override
    public int updateCstMethodInfo(CstMethodInfo cstMethodInfo) {
        return cstMethodInfoMapper.updateCstMethodInfo(cstMethodInfo);
    }

    /**
     * 批量删除汽车安全测试方法信息
     *
     * @param ids 需要删除的汽车安全测试方法信息主键
     * @return 结果
     */
    @Override
    public int deleteCstMethodInfoByIds(Long[] ids) {
        return cstMethodInfoMapper.deleteCstMethodInfoByIds(ids);
    }

    /**
     * 删除汽车安全测试方法信息信息
     *
     * @param id 汽车安全测试方法信息主键
     * @return 结果
     */
    @Override
    public int deleteCstMethodInfoById(Long id) {
        return cstMethodInfoMapper.deleteCstMethodInfoById(id);
    }
}
