package com.ruoyi.cstkb.service.impl;

import com.ruoyi.cstkb.domain.CstPropertiesInfo;
import com.ruoyi.cstkb.mapper.CstPropertiesInfoMapper;
import com.ruoyi.cstkb.service.ICstPropertiesInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 汽车安全测试属性信息Service业务层处理
 *
 * @author ruoyi
 * @date 2024-10-12
 */
@Service
public class CstPropertiesInfoServiceImpl implements ICstPropertiesInfoService {
    @Autowired
    private CstPropertiesInfoMapper cstPropertiesInfoMapper;

    /**
     * 查询汽车安全测试属性信息
     *
     * @param id 汽车安全测试属性信息主键
     * @return 汽车安全测试属性信息
     */
    @Override
    public CstPropertiesInfo selectCstPropertiesInfoById(Long id) {
        return cstPropertiesInfoMapper.selectCstPropertiesInfoById(id);
    }

    /**
     * 查询汽车安全测试属性信息列表
     *
     * @param cstPropertiesInfo 汽车安全测试属性信息
     * @return 汽车安全测试属性信息
     */
    @Override
    public List<CstPropertiesInfo> selectCstPropertiesInfoList(CstPropertiesInfo cstPropertiesInfo) {
        return cstPropertiesInfoMapper.selectCstPropertiesInfoList(cstPropertiesInfo);
    }

    /**
     * 新增汽车安全测试属性信息
     *
     * @param cstPropertiesInfo 汽车安全测试属性信息
     * @return 结果
     */
    @Override
    public int insertCstPropertiesInfo(CstPropertiesInfo cstPropertiesInfo) {
        return cstPropertiesInfoMapper.insertCstPropertiesInfo(cstPropertiesInfo);
    }

    /**
     * 修改汽车安全测试属性信息
     *
     * @param cstPropertiesInfo 汽车安全测试属性信息
     * @return 结果
     */
    @Override
    public int updateCstPropertiesInfo(CstPropertiesInfo cstPropertiesInfo) {
        return cstPropertiesInfoMapper.updateCstPropertiesInfo(cstPropertiesInfo);
    }

    /**
     * 批量删除汽车安全测试属性信息
     *
     * @param ids 需要删除的汽车安全测试属性信息主键
     * @return 结果
     */
    @Override
    public int deleteCstPropertiesInfoByIds(Long[] ids) {
        return cstPropertiesInfoMapper.deleteCstPropertiesInfoByIds(ids);
    }

    /**
     * 删除汽车安全测试属性信息信息
     *
     * @param id 汽车安全测试属性信息主键
     * @return 结果
     */
    @Override
    public int deleteCstPropertiesInfoById(Long id) {
        return cstPropertiesInfoMapper.deleteCstPropertiesInfoById(id);
    }
}
