package com.ruoyi.cstkb.service.impl;

import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.cstkb.domain.CstPropertiesTools;
import com.ruoyi.cstkb.mapper.CstPropertiesToolsMapper;
import com.ruoyi.cstkb.service.ICstPropertiesToolsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 汽车安全测试属性测试工具Service业务层处理
 *
 * @author ruoyi
 * @date 2024-10-30
 */
@Service
public class CstPropertiesToolsServiceImpl implements ICstPropertiesToolsService {
    @Autowired
    private CstPropertiesToolsMapper cstPropertiesToolsMapper;

    /**
     * 查询汽车安全测试属性测试工具
     *
     * @param id 汽车安全测试属性测试工具主键
     * @return 汽车安全测试属性测试工具
     */
    @Override
    public CstPropertiesTools selectCstPropertiesToolsById(Long id) {
        return cstPropertiesToolsMapper.selectCstPropertiesToolsById(id);
    }

    /**
     * 查询汽车安全测试属性测试工具列表
     *
     * @param cstPropertiesTools 汽车安全测试属性测试工具
     * @return 汽车安全测试属性测试工具
     */
    @Override
    public List<CstPropertiesTools> selectCstPropertiesToolsList(CstPropertiesTools cstPropertiesTools) {
        return cstPropertiesToolsMapper.selectCstPropertiesToolsList(cstPropertiesTools);
    }

    /**
     * 新增汽车安全测试属性测试工具
     *
     * @param cstPropertiesTools 汽车安全测试属性测试工具
     * @return 结果
     */
    @Override
    public int insertCstPropertiesTools(CstPropertiesTools cstPropertiesTools) {
        cstPropertiesTools.setCreateTime(DateUtils.getNowDate());
        return cstPropertiesToolsMapper.insertCstPropertiesTools(cstPropertiesTools);
    }

    /**
     * 修改汽车安全测试属性测试工具
     *
     * @param cstPropertiesTools 汽车安全测试属性测试工具
     * @return 结果
     */
    @Override
    public int updateCstPropertiesTools(CstPropertiesTools cstPropertiesTools) {
        cstPropertiesTools.setUpdateTime(DateUtils.getNowDate());
        return cstPropertiesToolsMapper.updateCstPropertiesTools(cstPropertiesTools);
    }

    /**
     * 批量删除汽车安全测试属性测试工具
     *
     * @param ids 需要删除的汽车安全测试属性测试工具主键
     * @return 结果
     */
    @Override
    public int deleteCstPropertiesToolsByIds(Long[] ids) {
        return cstPropertiesToolsMapper.deleteCstPropertiesToolsByIds(ids);
    }

    /**
     * 删除汽车安全测试属性测试工具信息
     *
     * @param id 汽车安全测试属性测试工具主键
     * @return 结果
     */
    @Override
    public int deleteCstPropertiesToolsById(Long id) {
        return cstPropertiesToolsMapper.deleteCstPropertiesToolsById(id);
    }
}
