package com.ruoyi.cstkb.service.impl;

import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.cstkb.domain.CstPropertiesValues;
import com.ruoyi.cstkb.mapper.CstPropertiesValuesMapper;
import com.ruoyi.cstkb.service.ICstPropertiesValuesService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 汽车安全测试属性值Service业务层处理
 *
 * @author ruoyi
 * @date 2024-10-30
 */
@Service
public class CstPropertiesValuesServiceImpl implements ICstPropertiesValuesService
{
    @Autowired
    private CstPropertiesValuesMapper cstPropertiesValuesMapper;

    /**
     * 查询汽车安全测试属性值
     *
     * @param id 汽车安全测试属性值主键
     * @return 汽车安全测试属性值
     */
    @Override
    public CstPropertiesValues selectCstPropertiesValuesById(Long id)
    {
        return cstPropertiesValuesMapper.selectCstPropertiesValuesById(id);
    }

    /**
     * 查询汽车安全测试属性值列表
     *
     * @param cstPropertiesValues 汽车安全测试属性值
     * @return 汽车安全测试属性值
     */
    @Override
    public List<CstPropertiesValues> selectCstPropertiesValuesList(CstPropertiesValues cstPropertiesValues)
    {
        return cstPropertiesValuesMapper.selectCstPropertiesValuesList(cstPropertiesValues);
    }

    /**
     * 新增汽车安全测试属性值
     *
     * @param cstPropertiesValues 汽车安全测试属性值
     * @return 结果
     */
    @Override
    public int insertCstPropertiesValues(CstPropertiesValues cstPropertiesValues)
    {
        cstPropertiesValues.setCreateTime(DateUtils.getNowDate());
        return cstPropertiesValuesMapper.insertCstPropertiesValues(cstPropertiesValues);
    }

    /**
     * 修改汽车安全测试属性值
     *
     * @param cstPropertiesValues 汽车安全测试属性值
     * @return 结果
     */
    @Override
    public int updateCstPropertiesValues(CstPropertiesValues cstPropertiesValues)
    {
        cstPropertiesValues.setUpdateTime(DateUtils.getNowDate());
        return cstPropertiesValuesMapper.updateCstPropertiesValues(cstPropertiesValues);
    }

    /**
     * 批量删除汽车安全测试属性值
     *
     * @param ids 需要删除的汽车安全测试属性值主键
     * @return 结果
     */
    @Override
    public int deleteCstPropertiesValuesByIds(Long[] ids)
    {
        return cstPropertiesValuesMapper.deleteCstPropertiesValuesByIds(ids);
    }

    /**
     * 删除汽车安全测试属性值信息
     *
     * @param id 汽车安全测试属性值主键
     * @return 结果
     */
    @Override
    public int deleteCstPropertiesValuesById(Long id)
    {
        return cstPropertiesValuesMapper.deleteCstPropertiesValuesById(id);
    }
}
