package com.ruoyi.cstkb.service.impl;

import com.ruoyi.cstkb.domain.CstPublicSentimentDismantleInfo;
import com.ruoyi.cstkb.mapper.CstPublicSentimentDismantleInfoMapper;
import com.ruoyi.cstkb.service.ICstPublicSentimentDismantleInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 舆情拆解信息Service业务层处理
 *
 * @author ruoyi
 * @date 2024-10-12
 */
@Service
public class CstPublicSentimentDismantleInfoServiceImpl implements ICstPublicSentimentDismantleInfoService {
    @Autowired
    private CstPublicSentimentDismantleInfoMapper cstPublicSentimentDismantleInfoMapper;

    /**
     * 查询舆情拆解信息
     *
     * @param id 舆情拆解信息主键
     * @return 舆情拆解信息
     */
    @Override
    public CstPublicSentimentDismantleInfo selectCstPublicSentimentDismantleInfoById(Long id) {
        return cstPublicSentimentDismantleInfoMapper.selectCstPublicSentimentDismantleInfoById(id);
    }

    /**
     * 查询舆情拆解信息列表
     *
     * @param cstPublicSentimentDismantleInfo 舆情拆解信息
     * @return 舆情拆解信息
     */
    @Override
    public List<CstPublicSentimentDismantleInfo> selectCstPublicSentimentDismantleInfoList(CstPublicSentimentDismantleInfo cstPublicSentimentDismantleInfo) {
        return cstPublicSentimentDismantleInfoMapper.selectCstPublicSentimentDismantleInfoList(cstPublicSentimentDismantleInfo);
    }

    /**
     * 新增舆情拆解信息
     *
     * @param cstPublicSentimentDismantleInfo 舆情拆解信息
     * @return 结果
     */
    @Override
    public int insertCstPublicSentimentDismantleInfo(CstPublicSentimentDismantleInfo cstPublicSentimentDismantleInfo) {
        return cstPublicSentimentDismantleInfoMapper.insertCstPublicSentimentDismantleInfo(cstPublicSentimentDismantleInfo);
    }

    /**
     * 修改舆情拆解信息
     *
     * @param cstPublicSentimentDismantleInfo 舆情拆解信息
     * @return 结果
     */
    @Override
    public int updateCstPublicSentimentDismantleInfo(CstPublicSentimentDismantleInfo cstPublicSentimentDismantleInfo) {
        return cstPublicSentimentDismantleInfoMapper.updateCstPublicSentimentDismantleInfo(cstPublicSentimentDismantleInfo);
    }

    /**
     * 批量删除舆情拆解信息
     *
     * @param ids 需要删除的舆情拆解信息主键
     * @return 结果
     */
    @Override
    public int deleteCstPublicSentimentDismantleInfoByIds(Long[] ids) {
        return cstPublicSentimentDismantleInfoMapper.deleteCstPublicSentimentDismantleInfoByIds(ids);
    }

    /**
     * 删除舆情拆解信息信息
     *
     * @param id 舆情拆解信息主键
     * @return 结果
     */
    @Override
    public int deleteCstPublicSentimentDismantleInfoById(Long id) {
        return cstPublicSentimentDismantleInfoMapper.deleteCstPublicSentimentDismantleInfoById(id);
    }
}
