package com.ruoyi.cstkb.service.impl;

import com.ruoyi.cstkb.domain.CstPublicSentimentInfo;
import com.ruoyi.cstkb.mapper.CstPublicSentimentInfoMapper;
import com.ruoyi.cstkb.service.ICstPublicSentimentInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 舆情信息Service业务层处理
 *
 * @author ruoyi
 * @date 2024-10-12
 */
@Service
public class CstPublicSentimentInfoServiceImpl implements ICstPublicSentimentInfoService {
    @Autowired
    private CstPublicSentimentInfoMapper cstPublicSentimentInfoMapper;

    /**
     * 查询舆情信息
     *
     * @param id 舆情信息主键
     * @return 舆情信息
     */
    @Override
    public CstPublicSentimentInfo selectCstPublicSentimentInfoById(Long id) {
        return cstPublicSentimentInfoMapper.selectCstPublicSentimentInfoById(id);
    }

    /**
     * 查询舆情信息列表
     *
     * @param cstPublicSentimentInfo 舆情信息
     * @return 舆情信息
     */
    @Override
    public List<CstPublicSentimentInfo> selectCstPublicSentimentInfoList(CstPublicSentimentInfo cstPublicSentimentInfo) {
        return cstPublicSentimentInfoMapper.selectCstPublicSentimentInfoList(cstPublicSentimentInfo);
    }

    /**
     * 新增舆情信息
     *
     * @param cstPublicSentimentInfo 舆情信息
     * @return 结果
     */
    @Override
    public int insertCstPublicSentimentInfo(CstPublicSentimentInfo cstPublicSentimentInfo) {
        return cstPublicSentimentInfoMapper.insertCstPublicSentimentInfo(cstPublicSentimentInfo);
    }

    /**
     * 修改舆情信息
     *
     * @param cstPublicSentimentInfo 舆情信息
     * @return 结果
     */
    @Override
    public int updateCstPublicSentimentInfo(CstPublicSentimentInfo cstPublicSentimentInfo) {
        return cstPublicSentimentInfoMapper.updateCstPublicSentimentInfo(cstPublicSentimentInfo);
    }

    /**
     * 批量删除舆情信息
     *
     * @param ids 需要删除的舆情信息主键
     * @return 结果
     */
    @Override
    public int deleteCstPublicSentimentInfoByIds(Long[] ids) {
        return cstPublicSentimentInfoMapper.deleteCstPublicSentimentInfoByIds(ids);
    }

    /**
     * 删除舆情信息信息
     *
     * @param id 舆情信息主键
     * @return 结果
     */
    @Override
    public int deleteCstPublicSentimentInfoById(Long id) {
        return cstPublicSentimentInfoMapper.deleteCstPublicSentimentInfoById(id);
    }
}
