package com.ruoyi.cstkb.service.impl;

import com.ruoyi.cstkb.domain.CstScenarioInfo;
import com.ruoyi.cstkb.mapper.CstScenarioInfoMapper;
import com.ruoyi.cstkb.service.ICstScenarioInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * 汽车安全测试场景信息Service业务层处理
 *
 * @author ruoyi
 * @date 2024-10-12
 */
@Service
public class CstScenarioInfoServiceImpl implements ICstScenarioInfoService {
    @Autowired
    private CstScenarioInfoMapper cstScenarioInfoMapper;

    /**
     * 查询汽车安全测试场景信息
     *
     * @param id 汽车安全测试场景信息主键
     * @return 汽车安全测试场景信息
     */
    @Override
    public CstScenarioInfo selectCstScenarioInfoById(Long id) {
        return cstScenarioInfoMapper.selectCstScenarioInfoById(id);
    }

    /**
     * 查询汽车安全测试场景信息列表
     *
     * @param cstScenarioInfo 汽车安全测试场景信息
     * @return 汽车安全测试场景信息
     */
    @Override
    public List<CstScenarioInfo> selectCstScenarioInfoList(CstScenarioInfo cstScenarioInfo) {
        return cstScenarioInfoMapper.selectCstScenarioInfoList(cstScenarioInfo);
    }

    /**
     * 新增汽车安全测试场景信息
     *
     * @param cstScenarioInfo 汽车安全测试场景信息
     * @return 结果
     */
    @Override
    public int insertCstScenarioInfo(CstScenarioInfo cstScenarioInfo) {
        return cstScenarioInfoMapper.insertCstScenarioInfo(cstScenarioInfo);
    }

    /**
     * 修改汽车安全测试场景信息
     *
     * @param cstScenarioInfo 汽车安全测试场景信息
     * @return 结果
     */
    @Override
    public int updateCstScenarioInfo(CstScenarioInfo cstScenarioInfo) {
        return cstScenarioInfoMapper.updateCstScenarioInfo(cstScenarioInfo);
    }

    /**
     * 批量删除汽车安全测试场景信息
     *
     * @param ids 需要删除的汽车安全测试场景信息主键
     * @return 结果
     */
    @Override
    public int deleteCstScenarioInfoByIds(Long[] ids) {
        return cstScenarioInfoMapper.deleteCstScenarioInfoByIds(ids);
    }

    /**
     * 删除汽车安全测试场景信息信息
     *
     * @param id 汽车安全测试场景信息主键
     * @return 结果
     */
    @Override
    public int deleteCstScenarioInfoById(Long id) {
        return cstScenarioInfoMapper.deleteCstScenarioInfoById(id);
    }
}
