package com.ruoyi.cstkb.service.impl;

import com.ruoyi.cstkb.domain.CstScenarioObjPropertiesRelation;
import com.ruoyi.cstkb.mapper.CstScenarioObjPropertiesRelationMapper;
import com.ruoyi.cstkb.service.ICstScenarioObjPropertiesRelationService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 场景对象属性关系Service业务层处理
 *
 * @author ruoyi
 * @date 2024-10-12
 */
@Service
public class CstScenarioObjPropertiesRelationServiceImpl implements ICstScenarioObjPropertiesRelationService {
    @Autowired
    private CstScenarioObjPropertiesRelationMapper cstScenarioObjPropertiesRelationMapper;

    /**
     * 查询场景对象属性关系
     *
     * @param id 场景对象属性关系主键
     * @return 场景对象属性关系
     */
    @Override
    public CstScenarioObjPropertiesRelation selectCstScenarioObjPropertiesRelationById(Long id) {
        return cstScenarioObjPropertiesRelationMapper.selectCstScenarioObjPropertiesRelationById(id);
    }

    /**
     * 查询场景对象属性关系列表
     *
     * @param cstScenarioObjPropertiesRelation 场景对象属性关系
     * @return 场景对象属性关系
     */
    @Override
    public List<CstScenarioObjPropertiesRelation> selectCstScenarioObjPropertiesRelationList(CstScenarioObjPropertiesRelation cstScenarioObjPropertiesRelation) {
        return cstScenarioObjPropertiesRelationMapper.selectCstScenarioObjPropertiesRelationList(cstScenarioObjPropertiesRelation);
    }

    /**
     * 新增场景对象属性关系
     *
     * @param cstScenarioObjPropertiesRelation 场景对象属性关系
     * @return 结果
     */
    @Override
    public int insertCstScenarioObjPropertiesRelation(CstScenarioObjPropertiesRelation cstScenarioObjPropertiesRelation) {
        return cstScenarioObjPropertiesRelationMapper.insertCstScenarioObjPropertiesRelation(cstScenarioObjPropertiesRelation);
    }

    /**
     * 修改场景对象属性关系
     *
     * @param cstScenarioObjPropertiesRelation 场景对象属性关系
     * @return 结果
     */
    @Override
    public int updateCstScenarioObjPropertiesRelation(CstScenarioObjPropertiesRelation cstScenarioObjPropertiesRelation) {
        return cstScenarioObjPropertiesRelationMapper.updateCstScenarioObjPropertiesRelation(cstScenarioObjPropertiesRelation);
    }

    /**
     * 批量删除场景对象属性关系
     *
     * @param ids 需要删除的场景对象属性关系主键
     * @return 结果
     */
    @Override
    public int deleteCstScenarioObjPropertiesRelationByIds(Long[] ids) {
        return cstScenarioObjPropertiesRelationMapper.deleteCstScenarioObjPropertiesRelationByIds(ids);
    }

    /**
     * 删除场景对象属性关系信息
     *
     * @param id 场景对象属性关系主键
     * @return 结果
     */
    @Override
    public int deleteCstScenarioObjPropertiesRelationById(Long id) {
        return cstScenarioObjPropertiesRelationMapper.deleteCstScenarioObjPropertiesRelationById(id);
    }
}
