package com.ruoyi.cstkb.service.impl;

import com.ruoyi.cstkb.domain.CstToolInfo;
import com.ruoyi.cstkb.mapper.CstToolInfoMapper;
import com.ruoyi.cstkb.service.ICstToolInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 汽车安全测试工具信息Service业务层处理
 *
 * @author ruoyi
 * @date 2024-10-12
 */
@Service
public class CstToolInfoServiceImpl implements ICstToolInfoService {
    @Autowired
    private CstToolInfoMapper cstToolInfoMapper;

    /**
     * 查询汽车安全测试工具信息
     *
     * @param id 汽车安全测试工具信息主键
     * @return 汽车安全测试工具信息
     */
    @Override
    public CstToolInfo selectCstToolInfoById(Long id) {
        return cstToolInfoMapper.selectCstToolInfoById(id);
    }

    /**
     * 查询汽车安全测试工具信息列表
     *
     * @param cstToolInfo 汽车安全测试工具信息
     * @return 汽车安全测试工具信息
     */
    @Override
    public List<CstToolInfo> selectCstToolInfoList(CstToolInfo cstToolInfo) {
        return cstToolInfoMapper.selectCstToolInfoList(cstToolInfo);
    }

    /**
     * 新增汽车安全测试工具信息
     *
     * @param cstToolInfo 汽车安全测试工具信息
     * @return 结果
     */
    @Override
    public int insertCstToolInfo(CstToolInfo cstToolInfo) {
        return cstToolInfoMapper.insertCstToolInfo(cstToolInfo);
    }

    /**
     * 修改汽车安全测试工具信息
     *
     * @param cstToolInfo 汽车安全测试工具信息
     * @return 结果
     */
    @Override
    public int updateCstToolInfo(CstToolInfo cstToolInfo) {
        return cstToolInfoMapper.updateCstToolInfo(cstToolInfo);
    }

    /**
     * 批量删除汽车安全测试工具信息
     *
     * @param ids 需要删除的汽车安全测试工具信息主键
     * @return 结果
     */
    @Override
    public int deleteCstToolInfoByIds(Long[] ids) {
        return cstToolInfoMapper.deleteCstToolInfoByIds(ids);
    }

    /**
     * 删除汽车安全测试工具信息信息
     *
     * @param id 汽车安全测试工具信息主键
     * @return 结果
     */
    @Override
    public int deleteCstToolInfoById(Long id) {
        return cstToolInfoMapper.deleteCstToolInfoById(id);
    }
}
